/// <reference types="node" />
export declare type SegmentVariant = Buffer | Record<string, any>;
export declare class MultipartData {
    get boundary(): string;
    segments: Buffer[];
    private header;
    private field;
    get contentType(): string;
    disposition: "\r\nContent-Disposition: form-data;";
    private addSegment;
    attach<Data extends SegmentVariant>(fieldName: string, data: Data | string, filename?: string): this | undefined;
    finish(): Buffer[];
}
