import type { AvatarSize, ImageFormat } from "./types.common";
export declare const BASE_URL = "/api/v10";
export declare const CDN_URL = "https://cdn.discordapp.com";
export declare const USER_AGENT: `DiscordBot (${string}, ${string})`;
export declare const ROUTER: {
    api: {
        webhook: (id: string, token: string) => string;
        webhookMessage: (id: string, token: string, messageID: string) => string;
    };
    cdn: {
        avatar: (userID: string, avatar: string, format?: ImageFormat, size?: AvatarSize) => string;
        defaultAvatar: (discriminator: number) => string;
        emoji: (emojiID: string, format: ImageFormat) => string;
    };
};
