"use strict";
// #region Imports
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonStyle = exports.ComponentType = void 0;
// #endregion
// #region Enums
var ComponentType;
(function (ComponentType) {
    ComponentType[ComponentType["ACTION_ROW"] = 1] = "ACTION_ROW";
    ComponentType[ComponentType["BUTTON"] = 2] = "BUTTON";
    ComponentType[ComponentType["SELECT_MENU"] = 3] = "SELECT_MENU";
})(ComponentType = exports.ComponentType || (exports.ComponentType = {}));
var ButtonStyle;
(function (ButtonStyle) {
    ButtonStyle[ButtonStyle["PRIMARY"] = 1] = "PRIMARY";
    ButtonStyle[ButtonStyle["SECONDARY"] = 2] = "SECONDARY";
    ButtonStyle[ButtonStyle["SUCCESS"] = 3] = "SUCCESS";
    ButtonStyle[ButtonStyle["DESTRUCTIVE"] = 4] = "DESTRUCTIVE";
    ButtonStyle[ButtonStyle["LINK"] = 5] = "LINK";
})(ButtonStyle = exports.ButtonStyle || (exports.ButtonStyle = {}));
// #endregion
